cURL
curl --request GET \
--url https://staging.api.eu-west-3.lokki.rent/v2/external/verticales \
--header 'x-access-token: <api-key>'import requests
url = "https://staging.api.eu-west-3.lokki.rent/v2/external/verticales"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://staging.api.eu-west-3.lokki.rent/v2/external/verticales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "BIKE",
"infos": {
"name": "Vélo"
}
}
]Categories
Get Verticales
GET
/
v2
/
external
/
verticales
cURL
Retrieve the list of all verticales supported by Lokki. Verticales are the top-level classification for rental items and stores.
Authorizations
Query Parameters
Response
200 - application/json
Unique identifier for the verticale
Available options:
BIKE, ELECTRIC_BIKE, MOPED, MOTORCYCLE, CAR, SCOOTER, SKI, CLIMBING, SNOWSHOES, SURF, PADDLE, CANOE_KAYAK, BOAT, EVENT, MOTOCULTURE, TOOLING Example:
"BIKE"
Descriptive information about the verticale
Show child attributes
Show child attributes
⌘I